Summary: File searching system.
Name: samba-findfile
Version: 0.7
Release: 10ml
URL: http://www.miraclelinux.com/
Source0: %{name}.tar.gz
NoSource: 0
License: GPL
Group: Applications/Text
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: samba >= 2.2.4
Requires: namazu, wv, lv

%description
File searching system.

%prep
%setup -n %{name}
autoconf
./configure --sysconfdir=/etc/samba-findfile --enable-gettext

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /var/log/samba-findfile
%dir /var/www/html/findfile
/var/www/cgi-bin/*.cgi
/var/www/html/findfile/*.html
/var/www/html/findfile/*.png
/var/www/html/findfile/NMZ/*
/var/www/html/findfile/SMBFF/*
%config /etc/samba-findfile/findfile.conf
%config /etc/samba-findfile/mknmzrc
/etc/cron.daily/*.cron
/usr/sbin/*
/usr/share/locale/ja/LC_MESSAGES/samba-findfile.mo
%doc doc/*

%changelog
* Fri Nov 22 2002 Jun YOSHIDA <jun@miraclelinux.com>
- 10ml
- for LDAP,NIS.

* Fri Jun 28 2002 Jun YOSHIDA <jun@miraclelinux.com>
- 8ml
- to solve a problem which samba-findfile cannot work on MLSE2.1 properly.

* Thu Jun 13 2002 Jun YOSHIDA <jun@miraclelinux.com>
- 7ml
- for gcc-2.96. The signature of va_args() seems to be changed.

- 6ml
- solved a problem when a charactor unabled to be used in bash
- environment as variable name is used.

* Fri Jun 7 2002 Jun YOSHIDA <jun@Miraclelinux.com>
- 5ml
- fixed a bug in error case.

* Wed Jun 5 2002 Jun YOSHIDA <jun@miraclelinux.com>
- 4ml
- using gettext.

* Wed Jun 5 2002 Jun YOSHIDA <jun@miraclelinux.com>
- 3ml
- prevent source tarball from being included in srpm.

* Wed Jun 5 2002 Jun YOSHIDA <jun@miraclelinux.com>
- path to 'doc' was incorrect.

* Tue May 7 2002 Jun YOSHIDA <jun@Miraclelinux.com>
- fixed a bug in spec file.

* Wed Dec 19 2001 Jun YOSHIDA <jun@miraclelinux.com>
- 0.3 released
- prototype.

* Wed Nov 21 2001 Jun YOSHIDA <jun@miraclelinux.com>
- Initial build.
